EnumeratedTest (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.test

## Class EnumeratedTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.asn1.test.EnumeratedTest

- All Implemented Interfaces:
    junit.framework.Test

      public class EnumeratedTest
      extends junit.framework.TestCase

  Tests used to verify correct decoding of the ENUMERATED type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumeratedTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testReadingMultipleDoubleByteItems()` Makes sure multiple identically sized values are parsed correctly.
    `void` | `testReadingMultipleSingleByteItems()` Makes sure multiple identically sized values are parsed correctly.
    `void` | `testReadingMultipleTripleByteItems()` Makes sure multiple identically sized values are parsed correctly.

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumeratedTest

          public EnumeratedTest()

  - ### Method Detail

    - #### testReadingMultipleSingleByteItems

          public void testReadingMultipleSingleByteItems()
                                                  throws java.io.IOException

      Makes sure multiple identically sized values are parsed correctly.
      Throws:
        `java.io.IOException`

    - #### testReadingMultipleDoubleByteItems

          public void testReadingMultipleDoubleByteItems()
                                                  throws java.io.IOException

      Makes sure multiple identically sized values are parsed correctly.
      Throws:
        `java.io.IOException`

    - #### testReadingMultipleTripleByteItems

          public void testReadingMultipleTripleByteItems()
                                                  throws java.io.IOException

      Makes sure multiple identically sized values are parsed correctly.
      Throws:
        `java.io.IOException`